define('bitbucket/internal/model/branch/permissions/ref-matcher-type', [
    'backbone-brace',
    'jquery'
], function(
    Brace,
    $
) {

    'use strict';

    var RefMatcherType = Brace.Model.extend({
        namedAttributes : {
            'id' : 'string',
            'name' : 'string'
        },
        setDetails: function(details) {
            return this.set($.extend(true, this.toJSON(), details));
        }
    });

    return RefMatcherType;
});
